##Summary Results (.vsum)
The .vsum file includes total / average results for each calculation run in one execution (ie. click of [START Button](#main-form)). The file is located in the directory of the fist run .vecto file.

***Quantities:***

|          Name         |                 Unit                 |                                                                                                                                                        Description                                                                                                                                                        |
|-----------------------|--------------------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| Job                   | [-]                                  | Job number in the format "X-Y" (with X as filenumber, and Y as cycle number)                                                                                                                                                                                                                                              |
| Input File            | [-]                                  | Name of the input job file (.vecto)                                                                                                                                                                                                                                                                                       |
| Cycle                 | [-]                                  | Name of the cycle file (or cycle name in declaration mode)                                                                                                                                                                                                                                                                |
| Status                | [-]                                  | The result status of the run (Success, Aborted)                                                                                                                                                                                                                                                                           |
| Mass                  | [kg]                                 | Vehicle mass (**Curb Weight Vehicle** + **Curb Weight Extra Trailer/Body**, see [Vehicle Editor](#vehicle-editor))                                                                                                                                                                                                        |
| Loading               | [kg]                                 | Vehicle loading (see [Vehicle Editor](#vehicle-editor))                                                                                                                                                                                                                                                                   |
| time                  | [s]                                  | Total simulation time                                                                                                                                                                                                                                                                                                     |
| distance              | [km]                                 | Total traveled distance                                                                                                                                                                                                                                                                                                   |
| speed                 | [km/h]                               | Average vehicle speed                                                                                                                                                                                                                                                                                                     |
| altitudeDelta         | [m]                                  | Altitude difference between start and end of cycle                                                                                                                                                                                                                                                                        |
| FC-Map                | [g/h], [g/km]                        | Average fuel consumption before all corrections, interpolated from [Fuel Map](#fuel-consumption-calculation), based on torque and engine speed.                                                                                                                                                                           |
| FC-AUXc               | [g/h], [g/km]                        | Average fuel consumption after [Auxiliary-Start/Stop Correction](#fuel-consumption-calculation) (Based on FC-Map)                                                                                                                                                                                                         |
| FC-WHTCc              | [g/h], [g/km]                        | Average fuel consumption after [WHTC Correction](#fuel-consumption-calculation) (Based on FC-AUXc)                                                                                                                                                                                                                        |
| FC-AAUX               | [g/h], [g/km]                        | Average fuel consumption after Smart Auxiliary Correction (*still in development*) (Based on FC-WHTCc)                                                                                                                                                                                                                    |
| FC-Final              | [g/h], [g/km], [l/100km], [l/100tkm] | Final average fuel consumption after ALL corrections. Value for calculation of CO~2~ value. If Loading = 0[kg] the column [l/100tkm] is left empty.                                                                                                                                                                          |
| CO2                   | [g/km], [g/tkm]                      | Average CO~2~ emissions (based on FC-Final value). Output for [l/100tkm] is empty when Loading = 0[kg].                                                                                                                                                                                                                   |
| P_wheel_in_pos        | [kW]                                 | Average positive power at the wheels                                                                                                                                                                                                                                                                                      |
| P_brake_loss          | [kW]                                 | Average brake power losses (not including engine drag)                                                                                                                                                                                                                                                                    |
| P_clutch_pos          | [kW]                                 | Average positive power at clutch (coming from engine) (all non-negative values averaged over the whole cycle duration)                                                                                                                                                                                                                            |
| P_clutch_neg          | [kW]                                 | Average negative power at clutch (coming from engine) (all non-positive values averaged over the whole cycle duration)                                                                                                                                                                                                                            |
| E_aux_xxx             | [kWh]                                | Total energy demand of auxiliary with ID xxx. See also [Aux Dialog](#auxiliary-dialog) and [Driving Cycle](#driving-cycles). In Declaration Mode the following auxiliaries always exists: E_aux_FAN (Fan), E_aux_PS (Pneumatic System), E_aux_STP (Steering Pump), E_aux_ES (Electrical System), E_aux_AC (Air Condition) |
| E_aux_sum             | [kWh]                                | Total energy demand of all auxiliaries                                                                                                                                                                                                                                                                                    |
| E_air                 | [kWh]                                | Total work of air resistance                                                                                                                                                                                                                                                                                              |
| E_roll                | [kWh]                                | Total work of rolling resistance                                                                                                                                                                                                                                                                                          |
| E_grad                | [kWh]                                | Total work of gradient resistance                                                                                                                                                                                                                                                                                         |
| E_inertia             | [kWh]                                | Total work of gearbox and engine inertia                                                                                                                                                                                                                                                                                  |
| E_brake               | [kWh]                                | Total work dissipated in mechanical braking (sum of service brakes, retader and additional engine exhaust brakes)                                                                                                                                                                                                         |
| E_gbx_axl_loss        | [kWh]                                | Total transmission energy losses at gearbox and axlegear                                                                                                                                                                                                                                                                  |
| E_ret_loss            | [kWh]                                | Total retarder energy loss                                                                                                                                                                                                                                                                                                |
| E_tc_loss             | [kWh]                                | Total torque converter energy loss                                                                                                                                                                                                                                                                                        |
| E_angle_loss          | [kWh]                                | Total torque converter energy loss                                                                                                                                                                                                                                                                                        |
| E_clutch_pos          | [kWh]                                | Total positive work at clutch input (produced by engine) (all non-negative values averaged over the whole cycle duration)                                                                                                                                                                                                                                                                                                   |
| E_clutch_neg          | [kWh]                                | Total negative work at clutch input (produced by engine drag) (all non-positive values averaged over the whole cycle duration)                                                                                                                                                                                                                                                                                  |
| a                     | [m/s^2^]                             | Average acceleration                                                                                                                                                                                                                                                                                                      |
| a_pos                 | [m/s^2^]                             | Average acceleration in acceleration phases (a~3s~ \> 0.125 \[m/s^2^\], a~3s~ = 3-seconds-averaged acceleration)                                                                                                                                                                                                          |
| a_neg                 | [m/s^2^]                             | Average deceleration in deceleration phases (a~3s~ \< 0.125 \[m/s^2^\], a~3s~ = 3-seconds-averaged acceleration)                                                                                                                                                                                                          |
| AccelerationTimeShare | [%]                                  | Time share of acceleration phases (a~3s~ \> 0.125 \[m/s^2^\], a~3s~ = 3-seconds-averaged acceleration)                                                                                                                                                                                                                    |
| DecelerationTimeShare | [%]                                  | Time share of deceleration phases (a~3s~ \< 0.125 \[m/s^2^\], a~3s~ = 3-seconds-averaged acceleration)                                                                                                                                                                                                                    |
| CruiseTimeShare       | [%]                                  | Time share of cruise phases (-0.125 ≤ a~3s~ ≤ 0.125 \[m/s^2^\])                                                                                                                                                                                                                                                           |
| StopTimeShare         | [%]                                  | Time share of stop phases (v \< 0.1 \[m/s\])                                                                                                                                                                                                                                                                              |

